/* wmborder.c (emx+gcc) -- Copyright (c) 1987-1993 by Eberhard Mattes */

#include <sys/winmgr.h>
#include "winmgr2.h"

void wm_border (wm_handle wh, int bflag, int battr, const char *title,
                int tflag, int tattr)
{
  if (wh->used != WM_USED || bflag == 0 || wh->border == 0)
    return;
  wh->border = bflag;
  wh->battr = battr;
  _wm_border1 (wh, tflag, tattr, title);
  if (wh->display)
    _wm_put1 (wh);
  else
    wh->update_req = TRUE;
  _wm_cursor1 ();
}
